GNU bug report logs - #17307
24.3.90; find-dired

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: xaos52@HIDDEN; dated Mon, 21 Apr 2014 14:30:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17307 <at> debbugs.gnu.org:


Received: (at 17307) by debbugs.gnu.org; 24 Feb 2016 02:45:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 21:45:12 2016
Received: from localhost ([127.0.0.1]:41932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aYPRw-0000HL-3t
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2016 21:45:12 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:40614)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aYPRu-0000FF-6e
 for 17307 <at> debbugs.gnu.org; Tue, 23 Feb 2016 21:45:10 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aYPRX-0005xy-FE; Wed, 24 Feb 2016 03:44:48 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean-Pierre De Schacht <xaos52@HIDDEN>
Subject: Re: bug#17307: find-dired
References: <87zjje99va.fsf@HIDDEN>
 <CALyLa+MvK26YSdve2m0Ys-EsMvmr5TOqudBaCXXp2i8sJJE-NQ@HIDDEN>
Date: Wed, 24 Feb 2016 13:44:42 +1100
In-Reply-To: <CALyLa+MvK26YSdve2m0Ys-EsMvmr5TOqudBaCXXp2i8sJJE-NQ@HIDDEN>
 (Jean-Pierre De Schacht's message of "Thu, 24 Apr 2014 16:30:46
 +0200")
Message-ID: <87mvqqomhx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aYPRX-0005xy-FE
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1456886688.26303@psW0utZS4751bmRHT/400g
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17307
Cc: 17307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Jean-Pierre De Schacht <xaos52@HIDDEN> writes:

> -            (replace-match (format "%4s" (match-string 1))
> -                   nil nil nil 1)
> +            (replace-match (format "%7s" (match-string 1))
> +                                   nil nil nil 1)

Just increasing the widths doesn't really help that much, because all
the columns may be arbitrarily wide.  A better fix would be to first
compute the max width of all elements, and then use that when
reformatting.

Example:

  /home/larsi/:
  find . \( -maxdepth 1 \) -ls
  find: warning: you have specified the -maxdepth option after a non-option argument (, but options are not positional (-maxdepth affects tests specified before it as well as those specified after it).  Please specify options before other arguments.
  
    7077890    4 drwxr-xr-x  53 larsi    larsi        4096 feb. 24 13:40 .
    7078163   44 -rw-------   1 larsi    larsi       43501 feb. 20 16:37 .bash_history
    7131212 231220 -rw-rw-r--   1 larsi    larsi    236769280 des.  3 09:08 stream.dump
    7104288    4 -rw-r--r--   1 larsi    larsi         840 aug.  2  2015 stats

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17307; Package emacs. Full text available.

Message received at 17307 <at> debbugs.gnu.org:


Received: (at 17307) by debbugs.gnu.org; 24 Apr 2014 14:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 24 10:30:58 2014
Received: from localhost ([127.0.0.1]:57415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WdKfw-0001Oj-Nu
	for submit <at> debbugs.gnu.org; Thu, 24 Apr 2014 10:30:58 -0400
Received: from mail-qc0-f194.google.com ([209.85.216.194]:41242)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xaos52@HIDDEN>) id 1WdKfs-0001OT-V8
 for 17307 <at> debbugs.gnu.org; Thu, 24 Apr 2014 10:30:54 -0400
Received: by mail-qc0-f194.google.com with SMTP id i8so808524qcq.1
 for <17307 <at> debbugs.gnu.org>; Thu, 24 Apr 2014 07:30:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=NCKE49PKfGzO8apeXl5RHoFhwKLfqViMVT5qfXO+5/Y=;
 b=SY/oE0cO6giPbBcAJVLWHabSUBs3nrAVZk/+IGPeBGdzcUkef1sI9Zwo00L935QoBQ
 3q30hGgxY23ExvExaugwlvnrEWkstixeNyk/N8cRYVROGisMHpgcF8PshYmViV4hYwk1
 FDhfU0YlDibs4ODdoDOj4OJ0vKYEOKZRiQ3GzHjkVdOJfSCJp1I0j17ZyRIHfooS55Fy
 Hp0vgbNLObmXsKlV8NmhIH1MVOW6PIQt/57YRTN9D7qchDt0LIeXcmubdNUchLOt5B7h
 HKWBKLy0ky6wKtt/5X3K80r033IKgGeutzStKH+Qe+N7zTRk08yS76M5qlcV21hXD6sT
 WFqw==
MIME-Version: 1.0
X-Received: by 10.140.30.99 with SMTP id c90mr2932542qgc.13.1398349846593;
 Thu, 24 Apr 2014 07:30:46 -0700 (PDT)
Received: by 10.224.73.138 with HTTP; Thu, 24 Apr 2014 07:30:46 -0700 (PDT)
Date: Thu, 24 Apr 2014 16:30:46 +0200
Message-ID: <CALyLa+MvK26YSdve2m0Ys-EsMvmr5TOqudBaCXXp2i8sJJE-NQ@HIDDEN>
Subject: find-dired
From: Jean-Pierre De Schacht <xaos52@HIDDEN>
To: 17307 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 17307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

Something went wrong there. Here are the files mentioned in the previous mail:

Patch:
diff --git a/find-dired.el b/find-dired.el
index 6ddeab7..eeba9f0 100644
--- a/find-dired.el
+++ b/find-dired.el
@@ -293,8 +293,9 @@ use in place of \"-ls\" as the final argument."
             (beg (point-max))
             (l-opt (and (consp find-ls-option)
                 (string-match "l" (cdr find-ls-option))))
-            (ls-regexp (concat "^ +[^ \t\r\n]+\\( +[^ \t\r\n]+\\) +"
-                       "[^ \t\r\n]+ +[^ \t\r\n]+\\( +[0-9]+\\)")))
+            (ls-regexp (concat "^  \\( *[0-9]+\\)+ +[^ \t\r\n]+"
+                                       " +[^ \t\r\n]+ +[0-9]+ +[^ \t\r\n]+"
+                                       " +[^ \t\r\n]+ \\( +[0-9]+\\)")))
         (goto-char beg)
         (insert string)
         (goto-char beg)
@@ -309,17 +310,21 @@ use in place of \"-ls\" as the final argument."
         (goto-char (- beg 3))    ; no error if < 0
         (while (search-forward " ./" nil t)
           (delete-region (point) (- (point) 2)))
-        ;; Pad the number of links and file size.  This is a
+        ;; Pad the inode number and the file size. This is a
         ;; quick and dirty way of getting the columns to line up
         ;; most of the time, but it's not foolproof.
+                ;; Build ls-regexp so that padding a line twice does
+                ;; not change alignment. Padding a line twice does occur
+                ;; for lines straddled between two chunks of output
+                ;; when the split occurs in or after the file size.
         (when l-opt
           (goto-char beg)
           (goto-char (line-beginning-position))
           (while (re-search-forward ls-regexp nil t)
-            (replace-match (format "%4s" (match-string 1))
-                   nil nil nil 1)
+            (replace-match (format "%7s" (match-string 1))
+                                   nil nil nil 1)
             (replace-match (format "%9s" (match-string 2))
-                   nil nil nil 2)
+                                   nil nil nil 2)
             (forward-line 1)))
         ;; Find all the complete lines in the unprocessed
         ;; output and process it to add text properties.

Changelog entry:

    * find-dired.el: field alignment (bug#17307)
    (find-dired-filter): Pad inode number and file size.
        Do not pad blocks since it is already 4 positions wide.

before:

  /home/xaos52/:
  find . \( -maxdepth 1 \) -ls
  find: warning: you have specified the -maxdepth option after a
non-option argument (, but options are not positional (-maxdepth
affects tests specified before it as well as those specified after
it).  Please specify options before other arguments.

  786434    4 drwxr-xr-x  90 xaos52   xaos52       4096 Apr 23 17:24 .
  787782   60 -rw-r--r--   1 xaos52   xaos52      58512 Feb 28 19:34
.bash_history.1402
  1197675    4 drwxr-xr-x   3 xaos52   xaos52       4096 Feb 20 18:02 News
  786454    4 drwxr-xr-x   4 xaos52   xaos52       4096 Oct 28 16:37 .mutt
  1191392    4 drwx------   3 xaos52   xaos52       4096 Nov 21 17:47 .nv
  853260    4 -rw-r--r--   1 xaos52   xaos52         20 Jan 15 18:12
.xinitrc.stumpwm
  787024    4 -rw-r--r--   1 xaos52   xaos52       1051 Nov  7 18:11
.xtermcontrol
  787030    4 -rw-r--r--   1 xaos52   xaos52       1955 Sep 17  2013
.zshrc.oh-my-zsh
  790641    4 -rw-r--r--   1 xaos52   xaos52       1049 Nov 23 15:13
.Xresources.emacs
  786443    4 drwx------   4 xaos52   xaos52       4096 Apr 23 16:26 .gconf
  789752    4 drwxr-xr-x   4 xaos52   xaos52       4096 Mar 26 10:17
cask-project
  1092286    4 drwxr-xr-x  21 xaos52   xaos52       4096 Apr 23 16:58
emacs-24.3.90
  789583   20 -rw-r--r--   1 xaos52   xaos52      18231 Apr 23 16:25
.bash_history.1404
  786452    4 drwx------   4 xaos52   xaos52       4096 Jul  9  2013 .mozilla
  1187580    4 drwxr-xr-x  13 xaos52   xaos52       4096 Apr 10 18:58 org
  786447    4 drwx------   2 xaos52   xaos52       4096 Jul  9  2013
.gnome2_private
  798767   20 -rw-r--r--   1 xaos52   xaos52      18926 Mar 23 11:27
.keysnail.js
  1311983    4 drwx------   2 xaos52   xaos52       4096 Feb  8 15:49 .aptitude
  787012    4 -rw-r--r--   1 xaos52   xaos52         50 Mar  7 11:55 .gitconfig
  787026    4 -rw-r--r--   1 xaos52   xaos52         17 Oct  4  2013 .zsh-update
  1050090    4 drwx------   3 xaos52   xaos52       4096 Dec 10 16:06
VirtualBox\ VMs
  786445    4 drwxr-xr-x  24 xaos52   xaos52       4096 Mar  1 18:46 .gimp-2.8
  787029   92 -rw-r--r--   1 xaos52   xaos52      92854 Jan 28  2013
.zshrc.local.grml
  787011    4 -rw-r--r--   1 xaos52   xaos52         29 Dec 10 17:05
.emacs-places
  786455    4 drwxr-xr-x  10 xaos52   xaos52       4096 Aug  9  2013 .oh-my-zsh
  786472    4 drwxr-xr-x   9 xaos52   xaos52       4096 Dec 26 16:56 scripts
  921577    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar 19 19:56 .servant
  804736   12 -rw-r--r--   1 xaos52   xaos52       8548 Apr 21 14:04 RMAIL
  787696   64 -rw-r--r--   1 xaos52   xaos52      62520 Jan 31 20:46
.bash_history.1401
  790248    4 drwx------   2 xaos52   xaos52       4096 Feb  8 15:48 .elinks
  786458    4 drwx------   2 xaos52   xaos52       4096 Sep 10  2013 .ssh
  876874    4 drwxr-xr-x  29 xaos52   xaos52       4096 Apr 22 16:23
emacs-configurations
  786471    4 drwxr-xr-x  90 xaos52   xaos52       4096 Apr 23 13:49 git
  1062676    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 24 18:58 deft
  786459    4 drwx------   5 xaos52   xaos52       4096 Sep  7  2013 .thumbnails
  786449    4 drwxr-xr-x   2 xaos52   xaos52       4096 Feb  8 17:36
.gstreamer-0.10
  927738    4 drwxrwxr-x   3 xaos52   xaos52       4096 Mar 29 15:45 english
  786469    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Videos
  786440    4 drwxr-xr-x   3 xaos52   xaos52       4096 Aug 28  2013 .cpanm
  811385    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  4 11:18 .bazaar
  789625    4 -rw-r--r--   1 xaos52   xaos52       1144 Mar 27 13:34 .nigol.gpg
  926262    4 drwx------   2 xaos52   xaos52       4096 Dec 10 16:15 .VirtualBox
  787016    4 -rw-------   1 xaos52   xaos52        649 Apr 21 18:49 .lesshst
  1066882    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 19 20:32
emacs-examples
  786468    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Templates
  789547    4 drwxr-xr-x   3 xaos52   xaos52       4096 Apr 12 11:02 Dropbox
  787015    4 -rw-r--r--   1 xaos52   xaos52       2456 Oct  6  2013
.inputrc.bak
  818877    4 -rw-r--r--   1 xaos52   xaos52         38 Jan 10 18:53 .mailrc
  786954    4 -rw-------   1 xaos52   xaos52        540 Jan 13 14:58 mbox
  799202    4 drwxr-xr-x  12 xaos52   xaos52       4096 Jan 16 16:58 clisp-2.49
  786439    4 drwxr-xr-x   6 xaos52   xaos52       4096 Sep 16  2013 .cpan
  1087909    4 drwx------   3 xaos52   xaos52       4096 Feb 26 12:15 .fltk
  787019    4 -rw-r--r--   1 xaos52   xaos52       3366 Mar 20 16:14 .smex-items
  800703    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 25 14:46 xt
  800694    4 drwxr-xr-x   4 xaos52   xaos52       4096 Nov  8 14:08
linux-vt-setcolors
  813897    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  5 11:25 .texmf-var
  786453    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct  8  2013 .mplayer
  800437    4 drwxr-xr-x   5 xaos52   xaos52       4096 Jan 23 16:53 common-lisp
  786951    4 -rw-------   1 xaos52   xaos52       1098 Jul  9  2013
.ICEauthority
  786473    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct 11  2013 testing
  786461    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Documents
  800698    4 drwxr-xr-x   9 xaos52   xaos52       4096 Nov 29 18:20
netgear-repair
  799201    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 31 21:22 elisp
  786470    4 drwxr-xr-x  26 xaos52   xaos52       4096 Oct 28 10:59
experimental
  786462    4 drwxr-xr-x   2 xaos52   xaos52       4096 Apr 18 11:39 Downloads
  790056    4 -rw-r--r--   1 xaos52   xaos52       1336 Jan 27 17:19 .tmux.conf
  787003    4 -rw-r--r--   1 xaos52   xaos52         47 Oct  8  2013 .asoundrc
  818855    4 -rw-------   1 xaos52   xaos52        668 Jan 11 11:35
.reportbugrc
  786446    4 drwxr-xr-x   4 xaos52   xaos52       4096 Jul  9  2013 .gnome2
  789252    4 drwxr-xr-x   9 xaos52   xaos52       4096 Apr 23 18:03 .emacs.d
  800697    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar  1 17:23 mandelbrot
  786450    4 drwx------   4 xaos52   xaos52       4096 Sep 13  2013 .local
  790296    8 -rw-r--r--   1 xaos52   xaos52       4652 Nov 29 10:57 .bashrc.bak
  786992  772 -rw-------   1 xaos52   xaos52     783985 Apr 23 16:30
.xsession-errors
  793325    4 -rw-r--r--   1 xaos52   xaos52       3756 Apr 16 20:22 .bashrc
  804741    4 -rw-------   1 xaos52   xaos52         65 Apr 21 13:55 .authinfo
  790071    4 -rw-r--r--   1 xaos52   xaos52       1956 Jan 31 21:02 .pgadmin3
  789267   16 -rw-r--r--   1 xaos52   xaos52      16330 Mar 31 16:02
.bash_history.1403
  789739   20 -rw-------   1 xaos52   xaos52      18127 Mar 10 12:31
.octave_hist
  786444    4 drwxr-xr-x   4 xaos52   xaos52       4096 Oct  5  2013 .gem
  787020    4 -rw-r--r--   1 xaos52   xaos52        104 Aug  6  2013
.surfraw.conf
  1088158    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar  3 11:30 octave
  786465    4 drwxr-xr-x   2 xaos52   xaos52       4096 Dec 27 14:55 Music
  790147    4 drwxr-xr-x  11 xaos52   xaos52       4096 Mar 25 10:56 .cask
  786466    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Pictures
  786457    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct 25  2013 .rainss
  787017    4 -rw-r--r--   1 xaos52   xaos52       2690 Jan  7 12:41 .muttrc
  804607    4 -rw-r--r--   1 xaos52   xaos52        243 Apr 17 18:01
.bash_logout
  787033   36 -rw-------   1 xaos52   xaos52      33389 Oct 28 12:19 sent
  787006   20 -rw-r--r--   1 xaos52   xaos52      19328 Oct 31 20:26
.bash_history.1310
  786448    4 drwx------   3 xaos52   xaos52       4096 Mar  3 14:06 .gnupg
  800438    4 drwxr-xr-x   4 xaos52   xaos52       4096 Mar 12 16:28
emacs-kicker
  798904    4 drwxr-xr-x   7 xaos52   xaos52       4096 Dec  3 10:32 .vagrant.d
  787021    4 -rw-r--r--   1 xaos52   xaos52        749 Oct  7  2013 .toprc
  920246    4 drwxr-xr-x   3 xaos52   xaos52       4096 Nov 27 16:00 wallpapers
  786437    4 drwx------  11 xaos52   xaos52       4096 Jan 29 12:55 .cache
  1331198    4 drwxr-xr-x   5 xaos52   xaos52       4096 Jan 31 17:58 .bundler
  786456    4 drwx------   3 xaos52   xaos52       4096 Oct 21  2013 .pki
  854752    4 -rw-------   1 xaos52   xaos52        447 Jan 17 12:39 .Xauthority
  854630    4 -rw-r--r--   1 xaos52   xaos52       1524 Jan 17 10:31 .stumpwmrc
  787523    4 -rw-r--r--   1 xaos52   xaos52       3750 Mar 25 15:02 .bashrc~
  786438    4 drwx------  29 xaos52   xaos52       4096 Feb 27 10:21 .config
  789584    4 -rw-------   1 xaos52   xaos52         35 Jan 31 20:59 .pgpass
  800441    4 drwxr-xr-x   3 xaos52   xaos52       4096 Mar 12 20:25
emacs-starter-kit
  925354    4 drwxr-xr-x   2 xaos52   xaos52       4096 Feb  1 12:26 .asciinema
  800031   16 -rw-r--r--   1 xaos52   xaos52      14003 Mar 26 14:15 .Xresources
  786435    4 drwx------   4 xaos52   xaos52       4096 Feb 25 12:51 .adobe
  791608    4 -rw-r--r--   1 xaos52   xaos52         38 Jan 17 20:42
.xinitrc.wmfs
  1090551    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 16 11:18 logs
  786436    4 drwx------   2 xaos52   xaos52       4096 Oct 21  2013 .bogofilter
  1192184    4 drwxr-xr-x   3 xaos52   xaos52       4096 Mar  3 18:00 .ghc
  787004   56 -rw-r--r--   1 xaos52   xaos52      53933 Dec 31 11:50
.bash_history.1312
  917625    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan 23 14:16 .slime
  798751    4 -rw-r--r--   1 xaos52   xaos52       1554 Mar 26 09:59 .profile
  800702    4 drwxr-xr-x   3 xaos52   xaos52       4096 Nov 28 15:23 smart-scan
  789593    4 -rw-r--r--   1 xaos52   xaos52         21 Feb 26 14:44 .octaverc
  786451    4 drwx------   3 xaos52   xaos52       4096 Oct 30 14:31 .macromedia
  800701    4 drwxr-xr-x  11 xaos52   xaos52       4096 Dec 27 16:22
psmisc-22.20
  787032    0 -rw-------   1 xaos52   xaos52          0 Oct 28 10:19 postponed
  798764    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan 29 18:08 chroot
  786460    4 drwx------   2 xaos52   xaos52       4096 Jan  5 11:16 .w3m
  790043   20 -rw-r--r--   1 xaos52   xaos52      18231 Apr 23 14:11
.bash_history
  1064266    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar  3 18:00 .cabal
  786464    4 drwx------   3 xaos52   xaos52       4096 Nov  4 11:05 Mail
  797477   16 -rw-------   1 xaos52   xaos52      12895 Dec  2 20:18
.Xresources.bak.12
  1594467    4 drwxr-xr-x  10 xaos52   xaos52       4096 Mar 26 10:11 .ecukes
  786463    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan 14 18:17 Images
  792850    4 drwx------   3 xaos52   xaos52       4096 Jan  7 14:32 .icedove
  836328    4 drwx------   5 xaos52   xaos52       4096 Jan 14 09:49
.offlineimap
  787001  104 -rw-r--r--   1 xaos52   xaos52     100420 Apr  8 11:15 .bzr.log
  818886    4 -rw-------   1 xaos52   xaos52        294 Jan 10 17:49 .msmtprc
  792003    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan  6 15:21 .nn
  789744    4 drwxr-xr-x   3 xaos52   xaos52       4096 Feb 28 20:16 brunogirin
  786441    4 drwx------   3 xaos52   xaos52       4096 Jul  8  2013 .dbus
  787007   84 -rw-r--r--   1 xaos52   xaos52      83595 Nov 30 19:46
.bash_history.1311
  786474    4 drwxr-xr-x  81 xaos52   xaos52       4096 Apr 23 09:52 tmp
  789755    4 -rw-r--r--   1 xaos52   xaos52         25 Feb 27 12:02
.perldl_hist
  787027   48 -rw-------   1 xaos52   xaos52      46253 Oct  6  2013
.zsh_history
  800695    4 drwxr-xr-x   8 xaos52   xaos52       4096 Feb  7 16:40
lm-sensors-3.3.4
  787014    4 -rw-r--r--   1 xaos52   xaos52       2119 Oct 11  2013 .inputrc
  791994    4 -rw-r--r--   1 xaos52   xaos52        116 Jan 19 16:22
.xinitrc.clfswm
  792988    4 -rw-r--r--   1 xaos52   xaos52       3201 Apr 11 20:54
.bash_aliases
  787005   44 -rw-------   1 xaos52   xaos52      44487 Oct 24  2013
.bash_history.1309
  787028   92 -rw-r--r--   1 xaos52   xaos52      92854 Jan 28  2013 .zshrc.grml
  786467    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Public
  786997    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar 26 10:21 .ert-runner
  834343    4 -rw-r--r--   1 xaos52   xaos52        332 Jan 12 16:16
.offlineimaprc
  787013    4 -rw-r--r--   1 xaos52   xaos52        142 Jul  9  2013
.gtk-bookmarks
  795821    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  3 17:26 bzr
  816133    4 -rw-r--r--   1 xaos52   xaos52       2438 Jan  7 10:45 .muttrc.bak

  find finished at Wed Apr 23 18:05:04

after:

  /home/xaos52/:
  find . \( -maxdepth 1 \) -ls
  find: warning: you have specified the -maxdepth option after a
non-option argument (, but options are not positional (-maxdepth
affects tests specified before it as well as those specified after
it).  Please specify options before other arguments.

   786434    4 drwxr-xr-x  90 xaos52   xaos52       4096 Apr 23 17:24 .
   787782   60 -rw-r--r--   1 xaos52   xaos52      58512 Feb 28 19:34
.bash_history.1402
  1197675    4 drwxr-xr-x   3 xaos52   xaos52       4096 Feb 20 18:02 News
   786454    4 drwxr-xr-x   4 xaos52   xaos52       4096 Oct 28 16:37 .mutt
  1191392    4 drwx------   3 xaos52   xaos52       4096 Nov 21 17:47 .nv
   853260    4 -rw-r--r--   1 xaos52   xaos52         20 Jan 15 18:12
.xinitrc.stumpwm
   787024    4 -rw-r--r--   1 xaos52   xaos52       1051 Nov  7 18:11
.xtermcontrol
   787030    4 -rw-r--r--   1 xaos52   xaos52       1955 Sep 17  2013
.zshrc.oh-my-zsh
   790641    4 -rw-r--r--   1 xaos52   xaos52       1049 Nov 23 15:13
.Xresources.emacs
   786443    4 drwx------   4 xaos52   xaos52       4096 Apr 23 16:26 .gconf
   789752    4 drwxr-xr-x   4 xaos52   xaos52       4096 Mar 26 10:17
cask-project
  1092286    4 drwxr-xr-x  21 xaos52   xaos52       4096 Apr 23 16:58
emacs-24.3.90
   789583   20 -rw-r--r--   1 xaos52   xaos52      18231 Apr 23 16:25
.bash_history.1404
   786452    4 drwx------   4 xaos52   xaos52       4096 Jul  9  2013 .mozilla
  1187580    4 drwxr-xr-x  13 xaos52   xaos52       4096 Apr 10 18:58 org
   786447    4 drwx------   2 xaos52   xaos52       4096 Jul  9  2013
.gnome2_private
   798767   20 -rw-r--r--   1 xaos52   xaos52      18926 Mar 23 11:27
.keysnail.js
  1311983    4 drwx------   2 xaos52   xaos52       4096 Feb  8 15:49 .aptitude
   787012    4 -rw-r--r--   1 xaos52   xaos52         50 Mar  7 11:55 .gitconfig
   787026    4 -rw-r--r--   1 xaos52   xaos52         17 Oct  4  2013
.zsh-update
  1050090    4 drwx------   3 xaos52   xaos52       4096 Dec 10 16:06
VirtualBox\ VMs
   786445    4 drwxr-xr-x  24 xaos52   xaos52       4096 Mar  1 18:46 .gimp-2.8
   787029   92 -rw-r--r--   1 xaos52   xaos52      92854 Jan 28  2013
.zshrc.local.grml
   787011    4 -rw-r--r--   1 xaos52   xaos52         29 Dec 10 17:05
.emacs-places
   786455    4 drwxr-xr-x  10 xaos52   xaos52       4096 Aug  9  2013 .oh-my-zsh
   786472    4 drwxr-xr-x   9 xaos52   xaos52       4096 Dec 26 16:56 scripts
   921577    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar 19 19:56 .servant
   804736   12 -rw-r--r--   1 xaos52   xaos52       8548 Apr 21 14:04 RMAIL
   787696   64 -rw-r--r--   1 xaos52   xaos52      62520 Jan 31 20:46
.bash_history.1401
   790248    4 drwx------   2 xaos52   xaos52       4096 Feb  8 15:48 .elinks
   786458    4 drwx------   2 xaos52   xaos52       4096 Sep 10  2013 .ssh
   876874    4 drwxr-xr-x  29 xaos52   xaos52       4096 Apr 22 16:23
emacs-configurations
   786471    4 drwxr-xr-x  90 xaos52   xaos52       4096 Apr 23 13:49 git
  1062676    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 24 18:58 deft
   786459    4 drwx------   5 xaos52   xaos52       4096 Sep  7  2013
.thumbnails
   786449    4 drwxr-xr-x   2 xaos52   xaos52       4096 Feb  8 17:36
.gstreamer-0.10
   927738    4 drwxrwxr-x   3 xaos52   xaos52       4096 Mar 29 15:45 english
   786469    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Videos
   786440    4 drwxr-xr-x   3 xaos52   xaos52       4096 Aug 28  2013 .cpanm
   811385    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  4 11:18 .bazaar
   789625    4 -rw-r--r--   1 xaos52   xaos52       1144 Mar 27 13:34 .nigol.gpg
   926262    4 drwx------   2 xaos52   xaos52       4096 Dec 10 16:15
.VirtualBox
   787016    4 -rw-------   1 xaos52   xaos52        649 Apr 21 18:49 .lesshst
  1066882    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 19 20:32
emacs-examples
   786468    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Templates
   789547    4 drwxr-xr-x   3 xaos52   xaos52       4096 Apr 12 11:02 Dropbox
   787015    4 -rw-r--r--   1 xaos52   xaos52       2456 Oct  6  2013
.inputrc.bak
   818877    4 -rw-r--r--   1 xaos52   xaos52         38 Jan 10 18:53 .mailrc
   786954    4 -rw-------   1 xaos52   xaos52        540 Jan 13 14:58 mbox
   799202    4 drwxr-xr-x  12 xaos52   xaos52       4096 Jan 16 16:58 clisp-2.49
   786439    4 drwxr-xr-x   6 xaos52   xaos52       4096 Sep 16  2013 .cpan
  1087909    4 drwx------   3 xaos52   xaos52       4096 Feb 26 12:15 .fltk
   787019    4 -rw-r--r--   1 xaos52   xaos52       3366 Mar 20 16:14
.smex-items
   800703    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 25 14:46 xt
   800694    4 drwxr-xr-x   4 xaos52   xaos52       4096 Nov  8 14:08
linux-vt-setcolors
   813897    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  5 11:25 .texmf-var
   786453    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct  8  2013 .mplayer
   800437    4 drwxr-xr-x   5 xaos52   xaos52       4096 Jan 23 16:53
common-lisp
   786951    4 -rw-------   1 xaos52   xaos52       1098 Jul  9  2013
.ICEauthority
   786473    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct 11  2013 testing
   786461    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Documents
   800698    4 drwxr-xr-x   9 xaos52   xaos52       4096 Nov 29 18:20
netgear-repair
   799201    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 31 21:22 elisp
   786470    4 drwxr-xr-x  26 xaos52   xaos52       4096 Oct 28 10:59
experimental
   786462    4 drwxr-xr-x   2 xaos52   xaos52       4096 Apr 18 11:39 Downloads
   790056    4 -rw-r--r--   1 xaos52   xaos52       1336 Jan 27 17:19 .tmux.conf
   787003    4 -rw-r--r--   1 xaos52   xaos52         47 Oct  8  2013 .asoundrc
   818855    4 -rw-------   1 xaos52   xaos52        668 Jan 11 11:35
.reportbugrc
   786446    4 drwxr-xr-x   4 xaos52   xaos52       4096 Jul  9  2013 .gnome2
   789252    4 drwxr-xr-x   9 xaos52   xaos52       4096 Apr 23 17:41 .emacs.d
   800697    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar  1 17:23 mandelbrot
   786450    4 drwx------   4 xaos52   xaos52       4096 Sep 13  2013 .local
   790296    8 -rw-r--r--   1 xaos52   xaos52       4652 Nov 29 10:57
.bashrc.bak
   786992  772 -rw-------   1 xaos52   xaos52     783985 Apr 23 16:30
.xsession-errors
   793325    4 -rw-r--r--   1 xaos52   xaos52       3756 Apr 16 20:22 .bashrc
   804741    4 -rw-------   1 xaos52   xaos52         65 Apr 21 13:55 .authinfo
   790071    4 -rw-r--r--   1 xaos52   xaos52       1956 Jan 31 21:02 .pgadmin3
   789267   16 -rw-r--r--   1 xaos52   xaos52      16330 Mar 31 16:02
.bash_history.1403
   789739   20 -rw-------   1 xaos52   xaos52      18127 Mar 10 12:31
.octave_hist
   786444    4 drwxr-xr-x   4 xaos52   xaos52       4096 Oct  5  2013 .gem
   787020    4 -rw-r--r--   1 xaos52   xaos52        104 Aug  6  2013
.surfraw.conf
  1088158    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar  3 11:30 octave
   786465    4 drwxr-xr-x   2 xaos52   xaos52       4096 Dec 27 14:55 Music
   790147    4 drwxr-xr-x  11 xaos52   xaos52       4096 Mar 25 10:56 .cask
   786466    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Pictures
   786457    4 drwxr-xr-x   2 xaos52   xaos52       4096 Oct 25  2013 .rainss
   787017    4 -rw-r--r--   1 xaos52   xaos52       2690 Jan  7 12:41 .muttrc
   804607    4 -rw-r--r--   1 xaos52   xaos52        243 Apr 17 18:01
.bash_logout
   787033   36 -rw-------   1 xaos52   xaos52      33389 Oct 28 12:19 sent
   787006   20 -rw-r--r--   1 xaos52   xaos52      19328 Oct 31 20:26
.bash_history.1310
   786448    4 drwx------   3 xaos52   xaos52       4096 Mar  3 14:06 .gnupg
   800438    4 drwxr-xr-x   4 xaos52   xaos52       4096 Mar 12 16:28
emacs-kicker
   798904    4 drwxr-xr-x   7 xaos52   xaos52       4096 Dec  3 10:32 .vagrant.d
   787021    4 -rw-r--r--   1 xaos52   xaos52        749 Oct  7  2013 .toprc
   920246    4 drwxr-xr-x   3 xaos52   xaos52       4096 Nov 27 16:00 wallpapers
   786437    4 drwx------  11 xaos52   xaos52       4096 Jan 29 12:55 .cache
  1331198    4 drwxr-xr-x   5 xaos52   xaos52       4096 Jan 31 17:58 .bundler
   786456    4 drwx------   3 xaos52   xaos52       4096 Oct 21  2013 .pki
   854752    4 -rw-------   1 xaos52   xaos52        447 Jan 17 12:39
.Xauthority
   854630    4 -rw-r--r--   1 xaos52   xaos52       1524 Jan 17 10:31 .stumpwmrc
   787523    4 -rw-r--r--   1 xaos52   xaos52       3750 Mar 25 15:02 .bashrc~
   786438    4 drwx------  29 xaos52   xaos52       4096 Feb 27 10:21 .config
   789584    4 -rw-------   1 xaos52   xaos52         35 Jan 31 20:59 .pgpass
   800441    4 drwxr-xr-x   3 xaos52   xaos52       4096 Mar 12 20:25
emacs-starter-kit
   925354    4 drwxr-xr-x   2 xaos52   xaos52       4096 Feb  1 12:26 .asciinema
   800031   16 -rw-r--r--   1 xaos52   xaos52      14003 Mar 26 14:15
.Xresources
   786435    4 drwx------   4 xaos52   xaos52       4096 Feb 25 12:51 .adobe
   791608    4 -rw-r--r--   1 xaos52   xaos52         38 Jan 17 20:42
.xinitrc.wmfs
  1090551    4 drwxr-xr-x   2 xaos52   xaos52       4096 Mar 16 11:18 logs
   786436    4 drwx------   2 xaos52   xaos52       4096 Oct 21  2013
.bogofilter
  1192184    4 drwxr-xr-x   3 xaos52   xaos52       4096 Mar  3 18:00 .ghc
   787004   56 -rw-r--r--   1 xaos52   xaos52      53933 Dec 31 11:50
.bash_history.1312
   917625    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan 23 14:16 .slime
   798751    4 -rw-r--r--   1 xaos52   xaos52       1554 Mar 26 09:59 .profile
   800702    4 drwxr-xr-x   3 xaos52   xaos52       4096 Nov 28 15:23 smart-scan
   789593    4 -rw-r--r--   1 xaos52   xaos52         21 Feb 26 14:44 .octaverc
   786451    4 drwx------   3 xaos52   xaos52       4096 Oct 30 14:31
.macromedia
   800701    4 drwxr-xr-x  11 xaos52   xaos52       4096 Dec 27 16:22
psmisc-22.20
   787032    0 -rw-------   1 xaos52   xaos52          0 Oct 28 10:19 postponed
   798764    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan 29 18:08 chroot
   786460    4 drwx------   2 xaos52   xaos52       4096 Jan  5 11:16 .w3m
   790043   20 -rw-r--r--   1 xaos52   xaos52      18231 Apr 23 14:11
.bash_history
  1064266    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar  3 18:00 .cabal
   786464    4 drwx------   3 xaos52   xaos52       4096 Nov  4 11:05 Mail
   797477   16 -rw-------   1 xaos52   xaos52      12895 Dec  2 20:18
.Xresources.bak.12
  1594467    4 drwxr-xr-x  10 xaos52   xaos52       4096 Mar 26 10:11 .ecukes
   786463    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan 14 18:17 Images
   792850    4 drwx------   3 xaos52   xaos52       4096 Jan  7 14:32 .icedove
   836328    4 drwx------   5 xaos52   xaos52       4096 Jan 14 09:49
.offlineimap
   787001  104 -rw-r--r--   1 xaos52   xaos52     100420 Apr  8 11:15 .bzr.log
   818886    4 -rw-------   1 xaos52   xaos52        294 Jan 10 17:49 .msmtprc
   792003    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jan  6 15:21 .nn
   789744    4 drwxr-xr-x   3 xaos52   xaos52       4096 Feb 28 20:16 brunogirin
   786441    4 drwx------   3 xaos52   xaos52       4096 Jul  8  2013 .dbus
   787007   84 -rw-r--r--   1 xaos52   xaos52      83595 Nov 30 19:46
.bash_history.1311
   786474    4 drwxr-xr-x  81 xaos52   xaos52       4096 Apr 23 09:52 tmp
   789755    4 -rw-r--r--   1 xaos52   xaos52         25 Feb 27 12:02
.perldl_hist
   787027   48 -rw-------   1 xaos52   xaos52      46253 Oct  6  2013
.zsh_history
   800695    4 drwxr-xr-x   8 xaos52   xaos52       4096 Feb  7 16:40
lm-sensors-3.3.4
   787014    4 -rw-r--r--   1 xaos52   xaos52       2119 Oct 11  2013 .inputrc
   791994    4 -rw-r--r--   1 xaos52   xaos52        116 Jan 19 16:22
.xinitrc.clfswm
   792988    4 -rw-r--r--   1 xaos52   xaos52       3201 Apr 11 20:54
.bash_aliases
   787005   44 -rw-------   1 xaos52   xaos52      44487 Oct 24  2013
.bash_history.1309
   787028   92 -rw-r--r--   1 xaos52   xaos52      92854 Jan 28  2013
.zshrc.grml
   786467    4 drwxr-xr-x   2 xaos52   xaos52       4096 Jul  8  2013 Public
   786997    4 drwxr-xr-x   7 xaos52   xaos52       4096 Mar 26 10:21
.ert-runner
   834343    4 -rw-r--r--   1 xaos52   xaos52        332 Jan 12 16:16
.offlineimaprc
   787013    4 -rw-r--r--   1 xaos52   xaos52        142 Jul  9  2013
.gtk-bookmarks
   795821    4 drwxr-xr-x   3 xaos52   xaos52       4096 Jan  3 17:26 bzr
   816133    4 -rw-r--r--   1 xaos52   xaos52       2438 Jan  7 10:45
.muttrc.bak

  find finished at Wed Apr 23 17:41:52




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17307; Package emacs. Full text available.

Message received at 17307 <at> debbugs.gnu.org:


Received: (at 17307) by debbugs.gnu.org; 24 Apr 2014 14:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 24 10:23:36 2014
Received: from localhost ([127.0.0.1]:57411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WdKYp-00019v-ES
	for submit <at> debbugs.gnu.org; Thu, 24 Apr 2014 10:23:35 -0400
Received: from mail-qg0-f66.google.com ([209.85.192.66]:50814)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xaos52@HIDDEN>) id 1WdKYm-00019m-Hc
 for 17307 <at> debbugs.gnu.org; Thu, 24 Apr 2014 10:23:33 -0400
Received: by mail-qg0-f66.google.com with SMTP id a108so828521qge.1
 for <17307 <at> debbugs.gnu.org>; Thu, 24 Apr 2014 07:23:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=sFk15KFfOa/tjfg5wvAUY1b1nuiw8cXu6SS0bd53dlc=;
 b=wn5s/z13lODZcIqL08S+MwcmhyrSJf38K/J3jxNqNUro/h3E1fZW8Q7b1+li4/zbeb
 B/DdxW0+rlAqDAOQpOBmBr5xJ+r1h2ZUTe46HtJaFRsXxorXAwGLmyvAs78NXObTRfyI
 Iw8tQnaJKfYqCOpAIf1pisRRQzG75bs5uUU/8eoBr2wM4Jguc/h6kgQV1ooAqPhL3jnn
 9I4zbfj45q2U+iGbrIBStUBuSOi4GlGjNBRdJg6O5hnbX6sWbNQOwheAKjKhSbk0BkCA
 BHFHA4ykkjXfNKEJd79yKzx8y2kwPrkk3tgopMvjVqmvhHTvM1xXEQR1SL6Bf/J9t0pG
 MR7Q==
MIME-Version: 1.0
X-Received: by 10.224.75.10 with SMTP id w10mr3131218qaj.52.1398349412002;
 Thu, 24 Apr 2014 07:23:32 -0700 (PDT)
Received: by 10.224.73.138 with HTTP; Thu, 24 Apr 2014 07:23:31 -0700 (PDT)
Date: Thu, 24 Apr 2014 16:23:31 +0200
Message-ID: <CALyLa+PccqZKaSmRQj2p8HaCpkGC2X+na+wTpfLfsm7S3oJ+KQ@HIDDEN>
Subject: find-dired
From: Jean-Pierre De Schacht <xaos52@HIDDEN>
To: 17307 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a11c2fe04f978c704f7ca97a7
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Most misalignments on my system are caused by inode numbers
 that do not fit in a field of 6 characters. Padding the inode number field
 helps a lot. Padding the filesize field with one extra character does help
 with larger files. Padding the blocks field to 4 characters is unnecessary
 since -ls already provides that by default. [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (xaos52[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.192.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends in
 digit (xaos52[at]gmail.com)
 1.3 HTML_IMAGE_ONLY_24     BODY: HTML: images with 2000-2400 bytes of words
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.0 T_REMOTE_IMAGE         Message contains an external image
X-Debbugs-Envelope-To: 17307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Most misalignments on my system are caused by inode numbers
    that do not fit in a field of 6 characters. Padding the inode number field
    helps a lot. Padding the filesize field with one extra character does help
    with larger files. Padding the blocks field to 4 characters is unnecessary
    since -ls already provides that by default. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.192.66 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (xaos52[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends in
                             digit (xaos52[at]gmail.com)
  1.3 HTML_IMAGE_ONLY_24     BODY: HTML: images with 2000-2400 bytes of words
  0.0 HTML_MESSAGE           BODY: HTML included in message
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--001a11c2fe04f978c704f7ca97a7
Content-Type: text/plain; charset=UTF-8

Most misalignments on my system are caused by inode numbers that do not fit
in a field of 6 characters.
Padding the inode number field helps a lot.
Padding the filesize field with one extra character does help with larger
files.
Padding the blocks field to 4 characters is unnecessary since -ls already
provides that by default.

Attached is a patch  that works for me, an entry for the changelog and a
snippet of output from find-dired both using the original version and the
patched version.
4 Attachments

--001a11c2fe04f978c704f7ca97a7
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div id=3D":dm" class=3D""><div id=3D":dl" class=3D"" styl=
e=3D"overflow:hidden"><div dir=3D"ltr"><div>Most misalignments on my system=
 are caused by inode numbers that do not fit in a field of 6 characters.<br=
>Padding the inode number field helps a lot.<br>
Padding the filesize field with one extra character does help with larger f=
iles.<br>
Padding the blocks field to 4 characters is unnecessary since -ls already p=
rovides that by default.<br><br></div>Attached
 is a patch=C2=A0 that works for me, an entry for the changelog and a snipp=
et
 of output from find-dired both using the original version and the=20
patched version.</div></div></div><div class=3D""><div class=3D"" id=3D":fh=
"><span class=3D""><span id=3D":fk">4</span> Attachments</span></div><div c=
lass=3D"" id=3D":fi"><span class=3D""><a tabindex=3D"0" id=3D":e8" target=
=3D"_blank" class=3D""><div class=3D"">
<div id=3D":eb" class=3D""><img class=3D"" src=3D"https://mail.google.com/m=
ail/u/0/images/cleardot.gif"></div><div id=3D":ef" class=3D""><div class=3D=
""><img id=3D":ed" class=3D"" src=3D"https://ssl.gstatic.com/docs/doclist/i=
mages/mediatype/icon_2_generic_x16.png" title=3D"Binary File"></div>
</div></div></a></span><span class=3D""><a tabindex=3D"0" id=3D":ej" target=
=3D"_blank" class=3D""><div class=3D""><div id=3D":em" class=3D""><img clas=
s=3D"" src=3D"https://mail.google.com/mail/u/0/images/cleardot.gif"></div><=
div id=3D":eq" class=3D"">
<div class=3D""><img id=3D":eo" class=3D"" src=3D"https://ssl.gstatic.com/d=
ocs/doclist/images/mediatype/icon_2_generic_x16.png" title=3D"Binary File">=
</div></div></div></a></span><span class=3D""><a tabindex=3D"0" id=3D":eu" =
target=3D"_blank" class=3D""><div class=3D"">
<div id=3D":ex" class=3D""><img class=3D"" src=3D"https://mail.google.com/m=
ail/u/0/images/cleardot.gif"></div><div id=3D":f1" class=3D""><div class=3D=
""><img id=3D":ez" class=3D"" src=3D"https://ssl.gstatic.com/docs/doclist/i=
mages/mediatype/icon_2_generic_x16.png" title=3D"Binary File"></div>
</div></div></a></span><span class=3D""><a tabindex=3D"0" id=3D":f5" target=
=3D"_blank" class=3D""><div class=3D""><div id=3D":f8" class=3D""><img clas=
s=3D"" src=3D"https://mail.google.com/mail/u/0/images/cleardot.gif"></div><=
div id=3D":fc" class=3D"">
<div class=3D""><img id=3D":fa" class=3D"" src=3D"https://ssl.gstatic.com/d=
ocs/doclist/images/mediatype/icon_2_generic_x16.png" title=3D"Binary File">=
</div></div></div></a></span></div></div></div>

--001a11c2fe04f978c704f7ca97a7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17307; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2014 14:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 21 10:29:27 2014
Received: from localhost ([127.0.0.1]:54234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WcFDp-0004bO-Sv
	for submit <at> debbugs.gnu.org; Mon, 21 Apr 2014 10:29:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54198)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xaos52@HIDDEN>) id 1WcCp1-0008Ae-OH
 for submit <at> debbugs.gnu.org; Mon, 21 Apr 2014 07:55:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xaos52@HIDDEN>) id 1WcCov-0002pJ-D9
 for submit <at> debbugs.gnu.org; Mon, 21 Apr 2014 07:55:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44078)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xaos52@HIDDEN>) id 1WcCov-0002pF-8K
 for submit <at> debbugs.gnu.org; Mon, 21 Apr 2014 07:55:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55898)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xaos52@HIDDEN>) id 1WcCop-0005QB-1L
 for bug-gnu-emacs@HIDDEN; Mon, 21 Apr 2014 07:55:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xaos52@HIDDEN>) id 1WcCoi-0002nm-ID
 for bug-gnu-emacs@HIDDEN; Mon, 21 Apr 2014 07:55:26 -0400
Received: from mail-ee0-x234.google.com ([2a00:1450:4013:c00::234]:54297)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xaos52@HIDDEN>) id 1WcCoi-0002nY-6S
 for bug-gnu-emacs@HIDDEN; Mon, 21 Apr 2014 07:55:20 -0400
Received: by mail-ee0-f52.google.com with SMTP id e49so3517556eek.25
 for <bug-gnu-emacs@HIDDEN>; Mon, 21 Apr 2014 04:55:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=K1/Jtr8cUHW9+WUn03feaptfb+53mX0fQcoqqY4beQw=;
 b=tStXFH0RZvBT8/YImWsh06b8nL5sz5YK5e+3/Dh+jwWdoEcfrsf1t6bsjVSrjtckIk
 Q63r3k1T/TDby8vHXUaHuWxnIGAnM6LYUVEWKMthYfRg6ZuVecBG3dPlHno+lVSe3GuG
 SCkKg7Z2/vKtjo3DYXVrAbKA+F4aUnO+jIwioAIPBDWjKJY0yy4TBA2L5PK40Jh9gPL1
 Nwg4BWiZxiYNy5TMwSsdscVTgKx3hQGwPYFexDf/LrY3pdZJl8E0xf+0NcQIkRg9gPZV
 61Wud4oDt2W/YD6R99Vx3L6sv9blhvu0iYqDSfg9RKjNPFPSkrMWUDgHsPsMfjw5htVn
 ezAA==
X-Received: by 10.14.88.199 with SMTP id a47mr46990892eef.6.1398081318925;
 Mon, 21 Apr 2014 04:55:18 -0700 (PDT)
Received: from medion-vg10-sid.home.medion-vg10-sid.home
 (178-118-206-145.access.telenet.be. [178.118.206.145])
 by mx.google.com with ESMTPSA id u1sm102978191eex.31.2014.04.21.04.55.17
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 21 Apr 2014 04:55:17 -0700 (PDT)
From: xaos52@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.90; find-dired
Date: Mon, 21 Apr 2014 13:53:45 +0200
Message-ID: <87zjje99va.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 21 Apr 2014 10:29:23 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


----

The regular expression `ls-regexp' does not match any line produced by
`find <directory> -ls'
Not on my system anyway, which is gnu/linux Debian sid.

The function is supposed to pad the 'number of blocks' and 'size' fields, but
the regex captures the second and fifth non-empty fields in a line. The
fifth entry, however corresponds with the 'user' field, which is not
normally numeric, unless either numerical group names are used, or
the internal numerical user ID can not be translated to a non-numeric
user ID because it references a user theat does not exist on the
system - it comes from another system via cp, rsync, tar,
etc... - without converting the group number.

On top of that, the function tries to pad fields to a size that they
already have. I suppose the `ls' has been modified in the past to
accommodate larger fields. Correcting ls-regexp to capture the correct
'size' field will only lead to extra processing without any results.  

This is not specific to the emacs release I am using. The problem is
probably there for a long time already.

----



In GNU Emacs 24.3.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
 of 2014-04-17 on medion-vg10-sid
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --prefix=/usr/local'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  winner-mode: t
  savehist-mode: t
  show-paren-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x 3 M-x r e p o r t <tab> <return>

Recent messages:

Load-path shadows:
/usr/local/share/emacs/site-lisp/org/ox-odt hides /usr/local/share/emacs/24.3.90/lisp/org/ox-odt
/usr/local/share/emacs/site-lisp/org/org-id hides /usr/local/share/emacs/24.3.90/lisp/org/org-id
/usr/local/share/emacs/site-lisp/org/ob-plantuml hides /usr/local/share/emacs/24.3.90/lisp/org/ob-plantuml
/usr/local/share/emacs/site-lisp/org/ob-tangle hides /usr/local/share/emacs/24.3.90/lisp/org/ob-tangle
/usr/local/share/emacs/site-lisp/org/org-agenda hides /usr/local/share/emacs/24.3.90/lisp/org/org-agenda
/usr/local/share/emacs/site-lisp/org/ob-R hides /usr/local/share/emacs/24.3.90/lisp/org/ob-R
/usr/local/share/emacs/site-lisp/org/org-macs hides /usr/local/share/emacs/24.3.90/lisp/org/org-macs
/usr/local/share/emacs/site-lisp/org/ox-beamer hides /usr/local/share/emacs/24.3.90/lisp/org/ox-beamer
/usr/local/share/emacs/site-lisp/org/ob-makefile hides /usr/local/share/emacs/24.3.90/lisp/org/ob-makefile
/usr/local/share/emacs/site-lisp/org/org-w3m hides /usr/local/share/emacs/24.3.90/lisp/org/org-w3m
/usr/local/share/emacs/site-lisp/org/org-ctags hides /usr/local/share/emacs/24.3.90/lisp/org/org-ctags
/usr/local/share/emacs/site-lisp/org/org-table hides /usr/local/share/emacs/24.3.90/lisp/org/org-table
/usr/local/share/emacs/site-lisp/org/org-irc hides /usr/local/share/emacs/24.3.90/lisp/org/org-irc
/usr/local/share/emacs/site-lisp/org/ob-shen hides /usr/local/share/emacs/24.3.90/lisp/org/ob-shen
/usr/local/share/emacs/site-lisp/org/org-macro hides /usr/local/share/emacs/24.3.90/lisp/org/org-macro
/usr/local/share/emacs/site-lisp/org/ob-awk hides /usr/local/share/emacs/24.3.90/lisp/org/ob-awk
/usr/local/share/emacs/site-lisp/org/ob-picolisp hides /usr/local/share/emacs/24.3.90/lisp/org/ob-picolisp
/usr/local/share/emacs/site-lisp/org/ob-ledger hides /usr/local/share/emacs/24.3.90/lisp/org/ob-ledger
/usr/local/share/emacs/site-lisp/org/org-capture hides /usr/local/share/emacs/24.3.90/lisp/org/org-capture
/usr/local/share/emacs/site-lisp/org/ob-exp hides /usr/local/share/emacs/24.3.90/lisp/org/ob-exp
/usr/local/share/emacs/site-lisp/org/org-entities hides /usr/local/share/emacs/24.3.90/lisp/org/org-entities
/usr/local/share/emacs/site-lisp/org/org-faces hides /usr/local/share/emacs/24.3.90/lisp/org/org-faces
/usr/local/share/emacs/site-lisp/org/ob-js hides /usr/local/share/emacs/24.3.90/lisp/org/ob-js
/usr/local/share/emacs/site-lisp/org/org-compat hides /usr/local/share/emacs/24.3.90/lisp/org/org-compat
/usr/local/share/emacs/site-lisp/org/org-bibtex hides /usr/local/share/emacs/24.3.90/lisp/org/org-bibtex
/usr/local/share/emacs/site-lisp/org/org-src hides /usr/local/share/emacs/24.3.90/lisp/org/org-src
/usr/local/share/emacs/site-lisp/org/org hides /usr/local/share/emacs/24.3.90/lisp/org/org
/usr/local/share/emacs/site-lisp/org/ox hides /usr/local/share/emacs/24.3.90/lisp/org/ox
/usr/local/share/emacs/site-lisp/org/ob-scala hides /usr/local/share/emacs/24.3.90/lisp/org/ob-scala
/usr/local/share/emacs/site-lisp/org/ox-latex hides /usr/local/share/emacs/24.3.90/lisp/org/ox-latex
/usr/local/share/emacs/site-lisp/org/ox-man hides /usr/local/share/emacs/24.3.90/lisp/org/ox-man
/usr/local/share/emacs/site-lisp/org/ox-org hides /usr/local/share/emacs/24.3.90/lisp/org/ox-org
/usr/local/share/emacs/site-lisp/org/org-clock hides /usr/local/share/emacs/24.3.90/lisp/org/org-clock
/usr/local/share/emacs/site-lisp/org/org-eshell hides /usr/local/share/emacs/24.3.90/lisp/org/org-eshell
/usr/local/share/emacs/site-lisp/org/ob-eval hides /usr/local/share/emacs/24.3.90/lisp/org/ob-eval
/usr/local/share/emacs/site-lisp/org/org-bbdb hides /usr/local/share/emacs/24.3.90/lisp/org/org-bbdb
/usr/local/share/emacs/site-lisp/org/org-list hides /usr/local/share/emacs/24.3.90/lisp/org/org-list
/usr/local/share/emacs/site-lisp/org/ob-matlab hides /usr/local/share/emacs/24.3.90/lisp/org/ob-matlab
/usr/local/share/emacs/site-lisp/org/ob-java hides /usr/local/share/emacs/24.3.90/lisp/org/ob-java
/usr/local/share/emacs/site-lisp/org/ob-fortran hides /usr/local/share/emacs/24.3.90/lisp/org/ob-fortran
/usr/local/share/emacs/site-lisp/org/org-archive hides /usr/local/share/emacs/24.3.90/lisp/org/org-archive
/usr/local/share/emacs/site-lisp/org/ox-md hides /usr/local/share/emacs/24.3.90/lisp/org/ox-md
/usr/local/share/emacs/site-lisp/org/ob hides /usr/local/share/emacs/24.3.90/lisp/org/ob
/usr/local/share/emacs/site-lisp/org/ox-icalendar hides /usr/local/share/emacs/24.3.90/lisp/org/ox-icalendar
/usr/local/share/emacs/site-lisp/org/org-datetree hides /usr/local/share/emacs/24.3.90/lisp/org/org-datetree
/usr/local/share/emacs/site-lisp/org/org-docview hides /usr/local/share/emacs/24.3.90/lisp/org/org-docview
/usr/local/share/emacs/site-lisp/org/org-mhe hides /usr/local/share/emacs/24.3.90/lisp/org/org-mhe
/usr/local/share/emacs/site-lisp/org/ob-gnuplot hides /usr/local/share/emacs/24.3.90/lisp/org/ob-gnuplot
/usr/local/share/emacs/site-lisp/org/org-feed hides /usr/local/share/emacs/24.3.90/lisp/org/org-feed
/usr/local/share/emacs/site-lisp/org/ob-emacs-lisp hides /usr/local/share/emacs/24.3.90/lisp/org/ob-emacs-lisp
/usr/local/share/emacs/site-lisp/org/org-rmail hides /usr/local/share/emacs/24.3.90/lisp/org/org-rmail
/usr/local/share/emacs/site-lisp/org/ob-screen hides /usr/local/share/emacs/24.3.90/lisp/org/ob-screen
/usr/local/share/emacs/site-lisp/org/ob-calc hides /usr/local/share/emacs/24.3.90/lisp/org/ob-calc
/usr/local/share/emacs/site-lisp/org/org-gnus hides /usr/local/share/emacs/24.3.90/lisp/org/org-gnus
/usr/local/share/emacs/site-lisp/org/org-protocol hides /usr/local/share/emacs/24.3.90/lisp/org/org-protocol
/usr/local/share/emacs/site-lisp/org/ob-css hides /usr/local/share/emacs/24.3.90/lisp/org/ob-css
/usr/local/share/emacs/site-lisp/org/org-timer hides /usr/local/share/emacs/24.3.90/lisp/org/org-timer
/usr/local/share/emacs/site-lisp/org/org-mobile hides /usr/local/share/emacs/24.3.90/lisp/org/org-mobile
/usr/local/share/emacs/site-lisp/org/org-habit hides /usr/local/share/emacs/24.3.90/lisp/org/org-habit
/usr/local/share/emacs/site-lisp/org/ob-lisp hides /usr/local/share/emacs/24.3.90/lisp/org/ob-lisp
/usr/local/share/emacs/site-lisp/org/ox-publish hides /usr/local/share/emacs/24.3.90/lisp/org/ox-publish
/usr/local/share/emacs/site-lisp/org/ob-haskell hides /usr/local/share/emacs/24.3.90/lisp/org/ob-haskell
/usr/local/share/emacs/site-lisp/org/ob-ocaml hides /usr/local/share/emacs/24.3.90/lisp/org/ob-ocaml
/usr/local/share/emacs/site-lisp/org/ob-comint hides /usr/local/share/emacs/24.3.90/lisp/org/ob-comint
/usr/local/share/emacs/site-lisp/org/ob-lob hides /usr/local/share/emacs/24.3.90/lisp/org/ob-lob
/usr/local/share/emacs/site-lisp/org/ob-asymptote hides /usr/local/share/emacs/24.3.90/lisp/org/ob-asymptote
/usr/local/share/emacs/site-lisp/org/org-indent hides /usr/local/share/emacs/24.3.90/lisp/org/org-indent
/usr/local/share/emacs/site-lisp/org/ob-sql hides /usr/local/share/emacs/24.3.90/lisp/org/ob-sql
/usr/local/share/emacs/site-lisp/org/ob-maxima hides /usr/local/share/emacs/24.3.90/lisp/org/ob-maxima
/usr/local/share/emacs/site-lisp/org/org-version hides /usr/local/share/emacs/24.3.90/lisp/org/org-version
/usr/local/share/emacs/site-lisp/org/ob-org hides /usr/local/share/emacs/24.3.90/lisp/org/ob-org
/usr/local/share/emacs/site-lisp/org/ox-texinfo hides /usr/local/share/emacs/24.3.90/lisp/org/ox-texinfo
/usr/local/share/emacs/site-lisp/org/org-loaddefs hides /usr/local/share/emacs/24.3.90/lisp/org/org-loaddefs
/usr/local/share/emacs/site-lisp/org/org-pcomplete hides /usr/local/share/emacs/24.3.90/lisp/org/org-pcomplete
/usr/local/share/emacs/site-lisp/org/org-crypt hides /usr/local/share/emacs/24.3.90/lisp/org/org-crypt
/usr/local/share/emacs/site-lisp/org/org-install hides /usr/local/share/emacs/24.3.90/lisp/org/org-install
/usr/local/share/emacs/site-lisp/org/ob-ditaa hides /usr/local/share/emacs/24.3.90/lisp/org/ob-ditaa
/usr/local/share/emacs/site-lisp/org/ob-io hides /usr/local/share/emacs/24.3.90/lisp/org/ob-io
/usr/local/share/emacs/site-lisp/org/ob-mscgen hides /usr/local/share/emacs/24.3.90/lisp/org/ob-mscgen
/usr/local/share/emacs/site-lisp/org/ob-keys hides /usr/local/share/emacs/24.3.90/lisp/org/ob-keys
/usr/local/share/emacs/site-lisp/org/ob-scheme hides /usr/local/share/emacs/24.3.90/lisp/org/ob-scheme
/usr/local/share/emacs/site-lisp/org/org-plot hides /usr/local/share/emacs/24.3.90/lisp/org/org-plot
/usr/local/share/emacs/site-lisp/org/ob-C hides /usr/local/share/emacs/24.3.90/lisp/org/ob-C
/usr/local/share/emacs/site-lisp/org/ox-html hides /usr/local/share/emacs/24.3.90/lisp/org/ox-html
/usr/local/share/emacs/site-lisp/org/ob-core hides /usr/local/share/emacs/24.3.90/lisp/org/ob-core
/usr/local/share/emacs/site-lisp/org/org-footnote hides /usr/local/share/emacs/24.3.90/lisp/org/org-footnote
/usr/local/share/emacs/site-lisp/org/ob-sqlite hides /usr/local/share/emacs/24.3.90/lisp/org/ob-sqlite
/usr/local/share/emacs/site-lisp/org/ob-perl hides /usr/local/share/emacs/24.3.90/lisp/org/ob-perl
/usr/local/share/emacs/site-lisp/org/ob-ref hides /usr/local/share/emacs/24.3.90/lisp/org/ob-ref
/usr/local/share/emacs/site-lisp/org/org-inlinetask hides /usr/local/share/emacs/24.3.90/lisp/org/org-inlinetask
/usr/local/share/emacs/site-lisp/org/ob-lilypond hides /usr/local/share/emacs/24.3.90/lisp/org/ob-lilypond
/usr/local/share/emacs/site-lisp/org/org-element hides /usr/local/share/emacs/24.3.90/lisp/org/org-element
/usr/local/share/emacs/site-lisp/org/org-attach hides /usr/local/share/emacs/24.3.90/lisp/org/org-attach
/usr/local/share/emacs/site-lisp/org/ob-table hides /usr/local/share/emacs/24.3.90/lisp/org/ob-table
/usr/local/share/emacs/site-lisp/org/ob-clojure hides /usr/local/share/emacs/24.3.90/lisp/org/ob-clojure
/usr/local/share/emacs/site-lisp/org/ob-ruby hides /usr/local/share/emacs/24.3.90/lisp/org/ob-ruby
/usr/local/share/emacs/site-lisp/org/org-mouse hides /usr/local/share/emacs/24.3.90/lisp/org/org-mouse
/usr/local/share/emacs/site-lisp/org/org-colview hides /usr/local/share/emacs/24.3.90/lisp/org/org-colview
/usr/local/share/emacs/site-lisp/org/ob-latex hides /usr/local/share/emacs/24.3.90/lisp/org/ob-latex
/usr/local/share/emacs/site-lisp/org/org-info hides /usr/local/share/emacs/24.3.90/lisp/org/org-info
/usr/local/share/emacs/site-lisp/org/ob-octave hides /usr/local/share/emacs/24.3.90/lisp/org/ob-octave
/usr/local/share/emacs/site-lisp/org/ob-dot hides /usr/local/share/emacs/24.3.90/lisp/org/ob-dot
/usr/local/share/emacs/site-lisp/org/ob-sass hides /usr/local/share/emacs/24.3.90/lisp/org/ob-sass
/usr/local/share/emacs/site-lisp/org/ob-python hides /usr/local/share/emacs/24.3.90/lisp/org/ob-python
/usr/local/share/emacs/site-lisp/org/ox-ascii hides /usr/local/share/emacs/24.3.90/lisp/org/ox-ascii

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils info package wombat-theme winner ring savehist
windmove find-dired dired-x easymenu dired better-defaults paren edmacro
kmacro cl-loaddefs cl-lib saveplace ido init-benchmarking advice
help-fns time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 105495 7282)
 (symbols 48 20074 1)
 (miscs 40 119 121)
 (strings 32 28928 8086)
 (string-bytes 1 736926)
 (vectors 16 17834)
 (vector-slots 8 1153412 191547)
 (floats 8 121 70)
 (intervals 56 205 0)
 (buffers 960 11)
 (heap 1024 45758 1331))




Acknowledgement sent to xaos52@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17307; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Feb 2016 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.